### Method

# EDataServer Client is_opened

deprecated: 3.8 since: 3.2

#### Declaration [src]

    gboolean
    e_client_is_opened (
      EClient* client
    )

#### Description [src]

Check if this `client` is fully opened. This includes everything from `e_client_open()` call up to the authentication, if required by a backend. Client cannot do any other operation during the opening phase except of authenticate or cancel it. Every other operation results in an `E_CLIENT_ERROR_BUSY` error.

Available since: 3.2

Deprecated since: 3.8

Clients don’t need to care if they’re fully opened anymore. This function always returns `TRUE`.

Gets property | `EDataServer.Client:opened`

#### Return value

Type: `gboolean`

Always `TRUE`.